Subject: bug#25197: 26.0.50; notifications-notify is extremely slow with double buffering

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 03 Sep 2021 10:55:44 +0200

Peter Münster <[email-masked]> writes:

> notifications-notify is extremely slow, when the notification windows
> overlap the emacs window.
>
> Command for testing:
>
> time src/emacs -g 300x100 -Q --eval "(progn (require 'notifications)
>              (dotimes (i 20) (notifications-notify :title \"TEST\"))
>              (kill-emacs))"
>
> Result before the commit:
>
> real    0m1.820s
> user    0m0.668s
> sys     0m0.060s
>
> Result after the commit:
>
> real    0m11.782s
> user    0m0.636s
> sys     0m0.128s
>
> "-g 300x100" or something similar is needed, to get a nearly full-screen
> window, so that the notifications overlap the emacs window.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I tried reproducing this in Emacs 28 with various -g sizes, and I can't
see any particular slowness here:

real	0m0.334s
user	0m0.145s
sys	0m0.028s

Are you still seeing this issue in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no